<?php
$tdatacheque_register_m = array();
$tdatacheque_register_m[".searchableFields"] = array();
$tdatacheque_register_m[".ShortName"] = "cheque_register_m";
$tdatacheque_register_m[".OwnerID"] = "";
$tdatacheque_register_m[".OriginalTable"] = "cheque_register_m";


$tdatacheque_register_m[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatacheque_register_m[".originalPagesByType"] = $tdatacheque_register_m[".pagesByType"];
$tdatacheque_register_m[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatacheque_register_m[".originalPages"] = $tdatacheque_register_m[".pages"];
$tdatacheque_register_m[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatacheque_register_m[".originalDefaultPages"] = $tdatacheque_register_m[".defaultPages"];

//	field labels
$fieldLabelscheque_register_m = array();
$fieldToolTipscheque_register_m = array();
$pageTitlescheque_register_m = array();
$placeHolderscheque_register_m = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscheque_register_m["English"] = array();
	$fieldToolTipscheque_register_m["English"] = array();
	$placeHolderscheque_register_m["English"] = array();
	$pageTitlescheque_register_m["English"] = array();
	$fieldLabelscheque_register_m["English"]["id"] = "Id";
	$fieldToolTipscheque_register_m["English"]["id"] = "";
	$placeHolderscheque_register_m["English"]["id"] = "";
	$fieldLabelscheque_register_m["English"]["account"] = "Account";
	$fieldToolTipscheque_register_m["English"]["account"] = "";
	$placeHolderscheque_register_m["English"]["account"] = "";
	$fieldLabelscheque_register_m["English"]["date"] = "Date";
	$fieldToolTipscheque_register_m["English"]["date"] = "";
	$placeHolderscheque_register_m["English"]["date"] = "";
	$fieldLabelscheque_register_m["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipscheque_register_m["English"]["outlet_code"] = "";
	$placeHolderscheque_register_m["English"]["outlet_code"] = "";
	$fieldLabelscheque_register_m["English"]["user"] = "User";
	$fieldToolTipscheque_register_m["English"]["user"] = "";
	$placeHolderscheque_register_m["English"]["user"] = "";
	if (count($fieldToolTipscheque_register_m["English"]))
		$tdatacheque_register_m[".isUseToolTips"] = true;
}


	$tdatacheque_register_m[".NCSearch"] = true;



$tdatacheque_register_m[".shortTableName"] = "cheque_register_m";
$tdatacheque_register_m[".nSecOptions"] = 0;

$tdatacheque_register_m[".mainTableOwnerID"] = "";
$tdatacheque_register_m[".entityType"] = 0;
$tdatacheque_register_m[".connId"] = "test2_at_localhost";


$tdatacheque_register_m[".strOriginalTableName"] = "cheque_register_m";

	



$tdatacheque_register_m[".showAddInPopup"] = false;

$tdatacheque_register_m[".showEditInPopup"] = false;

$tdatacheque_register_m[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacheque_register_m[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacheque_register_m[".listAjax"] = false;
//	temporary
$tdatacheque_register_m[".listAjax"] = false;

	$tdatacheque_register_m[".audit"] = true;

	$tdatacheque_register_m[".locking"] = false;


$pages = $tdatacheque_register_m[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacheque_register_m[".edit"] = true;
	$tdatacheque_register_m[".afterEditAction"] = 1;
	$tdatacheque_register_m[".closePopupAfterEdit"] = 1;
	$tdatacheque_register_m[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacheque_register_m[".add"] = true;
$tdatacheque_register_m[".afterAddAction"] = 1;
$tdatacheque_register_m[".closePopupAfterAdd"] = 1;
$tdatacheque_register_m[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacheque_register_m[".list"] = true;
}



$tdatacheque_register_m[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacheque_register_m[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacheque_register_m[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacheque_register_m[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacheque_register_m[".printFriendly"] = true;
}



$tdatacheque_register_m[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacheque_register_m[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacheque_register_m[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacheque_register_m[".isUseAjaxSuggest"] = true;

$tdatacheque_register_m[".rowHighlite"] = true;



																																																			

$tdatacheque_register_m[".ajaxCodeSnippetAdded"] = false;

$tdatacheque_register_m[".buttonsAdded"] = false;

$tdatacheque_register_m[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacheque_register_m[".isUseTimeForSearch"] = false;


$tdatacheque_register_m[".badgeColor"] = "CD5C5C";


$tdatacheque_register_m[".allSearchFields"] = array();
$tdatacheque_register_m[".filterFields"] = array();
$tdatacheque_register_m[".requiredSearchFields"] = array();

$tdatacheque_register_m[".googleLikeFields"] = array();
$tdatacheque_register_m[".googleLikeFields"][] = "id";
$tdatacheque_register_m[".googleLikeFields"][] = "account";
$tdatacheque_register_m[".googleLikeFields"][] = "date";
$tdatacheque_register_m[".googleLikeFields"][] = "outlet_code";
$tdatacheque_register_m[".googleLikeFields"][] = "user";



$tdatacheque_register_m[".tableType"] = "list";

$tdatacheque_register_m[".printerPageOrientation"] = 0;
$tdatacheque_register_m[".nPrinterPageScale"] = 100;

$tdatacheque_register_m[".nPrinterSplitRecords"] = 40;

$tdatacheque_register_m[".geocodingEnabled"] = false;










$tdatacheque_register_m[".pageSize"] = 20;

$tdatacheque_register_m[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacheque_register_m[".strOrderBy"] = $tstrOrderBy;

$tdatacheque_register_m[".orderindexes"] = array();


$tdatacheque_register_m[".sqlHead"] = "SELECT id,  	account,  	`date`,  	outlet_code,  	`user`";
$tdatacheque_register_m[".sqlFrom"] = "FROM cheque_register_m";
$tdatacheque_register_m[".sqlWhereExpr"] = "";
$tdatacheque_register_m[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacheque_register_m[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacheque_register_m[".arrGroupsPerPage"] = $arrGPP;

$tdatacheque_register_m[".highlightSearchResults"] = true;

$tableKeyscheque_register_m = array();
$tableKeyscheque_register_m[] = "id";
$tdatacheque_register_m[".Keys"] = $tableKeyscheque_register_m;


$tdatacheque_register_m[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cheque_register_m";
	$fdata["Label"] = GetFieldLabel("cheque_register_m","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register_m["id"] = $fdata;
		$tdatacheque_register_m[".searchableFields"][] = "id";
//	account
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "account";
	$fdata["GoodName"] = "account";
	$fdata["ownerTable"] = "cheque_register_m";
	$fdata["Label"] = GetFieldLabel("cheque_register_m","account");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "account";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "account";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "bank_accounts";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "bank";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register_m["account"] = $fdata;
		$tdatacheque_register_m[".searchableFields"][] = "account";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "cheque_register_m";
	$fdata["Label"] = GetFieldLabel("cheque_register_m","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register_m["date"] = $fdata;
		$tdatacheque_register_m[".searchableFields"][] = "date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "cheque_register_m";
	$fdata["Label"] = GetFieldLabel("cheque_register_m","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "company_name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register_m["outlet_code"] = $fdata;
		$tdatacheque_register_m[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "cheque_register_m";
	$fdata["Label"] = GetFieldLabel("cheque_register_m","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register_m["user"] = $fdata;
		$tdatacheque_register_m[".searchableFields"][] = "user";


$tables_data["cheque_register_m"]=&$tdatacheque_register_m;
$field_labels["cheque_register_m"] = &$fieldLabelscheque_register_m;
$fieldToolTips["cheque_register_m"] = &$fieldToolTipscheque_register_m;
$placeHolders["cheque_register_m"] = &$placeHolderscheque_register_m;
$page_titles["cheque_register_m"] = &$pageTitlescheque_register_m;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cheque_register_m"] = array();
//	cheque_register
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="cheque_register";
		$detailsParam["dOriginalTable"] = "cheque_register";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "cheque_register";
	$detailsParam["dCaptionTable"] = GetTableCaption("cheque_register");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["cheque_register_m"][$dIndex] = $detailsParam;

	
		$detailsTablesData["cheque_register_m"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["cheque_register_m"][$dIndex]["masterKeys"][]="id";

	$detailsTablesData["cheque_register_m"][$dIndex]["masterKeys"][]="date";

	$detailsTablesData["cheque_register_m"][$dIndex]["masterKeys"][]="account";

	$detailsTablesData["cheque_register_m"][$dIndex]["masterKeys"][]="outlet_code";

				$detailsTablesData["cheque_register_m"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["cheque_register_m"][$dIndex]["detailKeys"][]="m_id";

		
	$detailsTablesData["cheque_register_m"][$dIndex]["detailKeys"][]="register_date";

		
	$detailsTablesData["cheque_register_m"][$dIndex]["detailKeys"][]="account";

		
	$detailsTablesData["cheque_register_m"][$dIndex]["detailKeys"][]="outlet_code";

// tables which are master tables for current table (detail)
$masterTablesData["cheque_register_m"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cheque_register_m()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	account,  	`date`,  	outlet_code,  	`user`";
$proto0["m_strFrom"] = "FROM cheque_register_m";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cheque_register_m",
	"m_srcTableName" => "cheque_register_m"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cheque_register_m";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "account",
	"m_strTable" => "cheque_register_m",
	"m_srcTableName" => "cheque_register_m"
));

$proto8["m_sql"] = "account";
$proto8["m_srcTableName"] = "cheque_register_m";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "cheque_register_m",
	"m_srcTableName" => "cheque_register_m"
));

$proto10["m_sql"] = "`date`";
$proto10["m_srcTableName"] = "cheque_register_m";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "cheque_register_m",
	"m_srcTableName" => "cheque_register_m"
));

$proto12["m_sql"] = "outlet_code";
$proto12["m_srcTableName"] = "cheque_register_m";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "cheque_register_m",
	"m_srcTableName" => "cheque_register_m"
));

$proto14["m_sql"] = "`user`";
$proto14["m_srcTableName"] = "cheque_register_m";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "cheque_register_m";
$proto17["m_srcTableName"] = "cheque_register_m";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "id";
$proto17["m_columns"][] = "account";
$proto17["m_columns"][] = "date";
$proto17["m_columns"][] = "outlet_code";
$proto17["m_columns"][] = "user";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "cheque_register_m";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "cheque_register_m";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cheque_register_m";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cheque_register_m = createSqlQuery_cheque_register_m();


	
		;

					

$tdatacheque_register_m[".sqlquery"] = $queryData_cheque_register_m;



$tableEvents["cheque_register_m"] = new eventsBase;
$tdatacheque_register_m[".hasEvents"] = false;

?>